NAME="libsecret"
DESC="GObject based library for accessing the Secret Service API"
VERSION="0.21.3"

FILES=("https://download.gnome.org/sources/libsecret/0.21/libsecret-${VERSION}.tar.xz")
HASHES=("47e4d26ef43c938156011ad8cab5f414")

DEPENDS=("glib" "libgcrypt" "libxslt")
BUILD=("gobject-introspection" "meson" "vala")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  mkdir bld
  cd    bld

  export CFLAGS="${CFLAGS} -std=gnu89"

  meson setup --prefix=/usr     \
            --buildtype=release \
            -Dgtk_doc=false     \
            ..                  
  ninja
  DESTDIR="${ROOTDIR}" ninja install

  cd ../.. && rm -r "${NAME}-${VERSION}"
}
