NAME="vala"
DESC="New programming language that aims to bring modern programming language features to GNOME developers"
VERSION="0.56.11"

FILES=("https://download.gnome.org/sources/vala/0.56/vala-${VERSION}.tar.xz")
HASHES=("7b4481fb52bbf73fcfedacbdab616eeb")

DEPENDS=(
  "bash" "gcc" "glib"
  "glibc" "graphviz" "gtk-doc"
  "pkgconf"
)
BUILD=("libxslt")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  export CFLAGS+=" -std=gnu89 "

  ./configure --prefix=/usr
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
