NAME="xkbutils"
DESC="XKB utility demos"
VERSION="1.0.5"

FILES=("https://www.x.org/pub/individual/app/xkbutils-${VERSION}.tar.xz")
HASHES=("cf65ca1aaf4c28772ca7993cfd122563")

DEPENDS=(
  "glibc" "libx11" "libxaw"
  "libxt"
)
BUILD=("xorgproto")

PACKAGE() {
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  export CFLAGS+=" -std=gnu89 "

  ./configure $XORG_CONFIG
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
